import request from '@/utils/request'

// 查询APS工作中心信息列表
export function listAps_workcenter(query) {
  return request({
    url: '/aps/aps_workcenter/list',
    method: 'get',
    params: query
  })
}

// 查询APS工作中心信息详细
export function getAps_workcenter(sequenceId) {
  return request({
    url: '/aps/aps_workcenter/' + sequenceId,
    method: 'get'
  })
}

// 新增APS工作中心信息
export function addAps_workcenter(data) {
  return request({
    url: '/aps/aps_workcenter',
    method: 'post',
    data: data
  })
}

// 修改APS工作中心信息
export function updateAps_workcenter(data) {
  return request({
    url: '/aps/aps_workcenter',
    method: 'put',
    data: data
  })
}

// 删除APS工作中心信息
export function delAps_workcenter(sequenceId) {
  return request({
    url: '/aps/aps_workcenter/' + sequenceId,
    method: 'delete'
  })
}
